Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Can't restore from json, need help  (Read 249 times)

Offline deniskaru

  • Newbie
  • *
  • Posts: 4
    • View Profile
Can't restore from json, need help
« on: June 10, 2015, 03:01:53 PM »

Hi.
Can't restore my BTS from bts.json file.
I do File->Import Wallet and chose my bts.json.
Have error "Failed to restore wallet backup. Your original wallet has been restored. Error: invalid password (20001)
Invalid password!"
But I'm sure that  password is correct.
What is this ?

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 11905
    • View Profile
    • BitShares.Europe
  • BTS: xeroc
  • GitHub: xeroc
Re: Can't restore from json, need help
« Reply #1 on: June 10, 2015, 03:04:21 PM »
Maybe a known issue .. onlx work around i know of would be to install a earlier version .. sth like 0.5.4 .. import the backup there and the upgrade to 0.9.2
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu

Offline vikram

Re: Can't restore from json, need help
« Reply #2 on: June 10, 2015, 04:33:49 PM »
Maybe a known issue .. onlx work around i know of would be to install a earlier version .. sth like 0.5.4 .. import the backup there and the upgrade to 0.9.2

Yes as xeroc said the best workaround is unfortunately to downgrade to this version: https://github.com/bitshares/bitshares/releases/tag/bts%2F0.5.3, import your wallet, then upgrade directly to 0.9.2. Make a new backup after confirming the upgrade to 0.9.2 was successful.

Offline deniskaru

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Can't restore from json, need help
« Reply #3 on: June 10, 2015, 05:52:55 PM »
Thanks, guys. That's work.

Offline kingslanding

  • Full Member
  • ***
  • Posts: 72
    • View Profile
Re: Can't restore from json, need help
« Reply #4 on: July 06, 2015, 01:44:51 PM »
I've run into this same problem of importing my json wallet.  When I install v0.5.3, I can import the wallet ok.  But when I select Check for Updates in the GUI I get the "No new updates available" message.  What do I have to do get it to update?  I tried to download the blockchain but got stuck at block 1773118, even using chain-servers.  Using Windows 7.
BTS username/address:   kingslanding9999

Offline Frodo

  • Sr. Member
  • ****
  • Posts: 329
    • View Profile
  • BTS: frodo
Re: Can't restore from json, need help
« Reply #5 on: July 06, 2015, 01:50:26 PM »
I've run into this same problem of importing my json wallet.  When I install v0.5.3, I can import the wallet ok.  But when I select Check for Updates in the GUI I get the "No new updates available" message.  What do I have to do get it to update?  I tried to download the blockchain but got stuck at block 1773118, even using chain-servers.  Using Windows 7.

The "check for updates" is only for GUI patches AFAIK, it does not consider the core client version. You have to download 0.9.2 manually from github and install it over the older version.

 

Google+